Bug 1795398 - Monitoring Dashboards: front end page should use console backend endpoint
Summary: Monitoring Dashboards: front end page should use console backend endpoint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Andrew Pickering
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1804918
TreeView+ depends on / blocked
 
Reported: 2020-01-27 21:26 UTC by bpeterse
Modified: 2020-07-13 17:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1804918 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:13:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4388 0 None closed Bug 1795398: Monitoring Dashboards: Load available dashboards dynamically 2020-12-26 06:53:58 UTC
Github openshift console pull 4407 0 None closed Bug 1795398: Support dashboard config map lister in off-cluster mode 2020-12-26 06:53:58 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:13:57 UTC

Description bpeterse 2020-01-27 21:26:25 UTC
Description of problem:

Currently the new monitoring dashboards page is bypassing the recently created endpoint.

Comment 1 Jakub Hadvig 2020-01-30 11:06:44 UTC
Based on the discussion with Andy, I'm assigning the issue to him, since he already has a good idea of what needs to be done.

Comment 2 bpeterse 2020-02-07 04:35:28 UTC
Setting the target to 4.5 as this should not block release.  Its a bug/tech debt.

Comment 3 Samuel Padgett 2020-02-07 16:04:38 UTC
(In reply to bpeterse from comment #2)
> Setting the target to 4.5 as this should not block release.  Its a bug/tech
> debt.

This one is probably a blocker because it means some users can't get the config maps. Moving back to 4.4.

We should also update to use the display names for the dashboards when we make this change.

Comment 4 Yadan Pei 2020-02-27 09:28:12 UTC
Hi Ben,

I see it's targeted to 4.5.0, is this intended? comment 3 says that we need to fix in 4.4

Comment 5 Samuel Padgett 2020-02-27 14:14:17 UTC
Bug 1804918 is tracking the 4.4 fix.

Comment 8 Yadan Pei 2020-03-06 06:20:32 UTC
1. Create metrics-reader cluster role and add user 'yapei' as metrics-reader
$ cat cluster-role.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: metrics-reader
rules:
  - apiGroups:
      - ''
    resources:
      - namespaces
    verbs:
      - get
      - list
      - watch
$ oc create -f cluster-role.yaml
$ oc adm policy add-cluster-role-to-user metrics-reader yapei1

2. user 'yapei1' login as a normal user and visit /monitoring/dashboards/ directly, user 'yapei1' can view all dashboards correctly in Monitoring -> Dashboards withour errors

# oc get cm -n openshift-config-managed
Error from server (Forbidden): configmaps is forbidden: User "yapei1" cannot list resource "configmaps" in API group "" in the namespace "openshift-config-managed"


Verified on 4.5.0-0.ci-2020-03-04-223611

Comment 10 errata-xmlrpc 2020-07-13 17:13:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.